Subject: [netmod] read-create access

From: David Reid <[email-masked]>
Date: Tue, 30 Sep 2008 13:29:06 -0400

SMIv2's addition of read-create access was helpful to code generators 
to know what code to generate to handle a row create attempt. An attempt 
to create a row in a read-write table generates an error response while an
attempt to create a row in a read-create table creates a new row (if all 
the other constraints are met).

I'd like to automatically generate similar code from yang, but the only
information I have is config true/false. Is there a way to know if new
list entries can be created that I'm not seeing? If not, would it be useful 
to have a substatement under the list statement which would indicate if new 
list entries can be created? Or maybe extend the config statement in some 
way?

-David Reid
_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod